org.modeshape.sequencer.teiid

## Enum VdbModel.Severity

- java.lang.Object
- - java.lang.Enum<VdbModel.Severity>
  - - org.modeshape.sequencer.teiid.VdbModel.Severity

- All Implemented Interfaces:
    Serializable, Comparable<VdbModel.Severity>
  Enclosing class:
    VdbModel

      public static enum VdbModel.Severity
      extends Enum<VdbModel.Severity>

  The 'vdb.cnd' and 'teiid.cnd' files contain a property definition for 'vdb:severity' with these literal values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFO`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VdbModel.Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VdbModel.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WARNING

          public static final VdbModel.Severity WARNING

    - #### INFO

          public static final VdbModel.Severity INFO

    - #### ERROR

          public static final VdbModel.Severity ERROR

  - ### Method Detail

    - #### values

          public static VdbModel.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VdbModel.Severity c : VdbModel.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VdbModel.Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.